/* $Id: system-win.cpp 8245 2008-04-21 17:24:28Z vboxsync $ */
/** @file
 * IPRT - System, Win32.
 */

/*
 * Copyright (C) 2006-2007 Sun Microsystems, Inc.
 *
 * This file is part of VirtualBox Open Source Edition (OSE), as
 * available from http://www.virtualbox.org. This file is free software;
 * you can redistribute it and/or modify it under the terms of the GNU
 * General Public License (GPL) as published by the Free Software
 * Foundation, in version 2 as it comes in the "COPYING" file of the
 * VirtualBox OSE distribution. VirtualBox OSE is distributed in the
 * hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
 *
 * The contents of this file may alternatively be used under the terms
 * of the Common Development and Distribution License Version 1.0
 * (CDDL) only, as it comes in the "COPYING.CDDL" file of the
 * VirtualBox OSE distribution, in which case the provisions of the
 * CDDL are applicable instead of those of the GPL.
 *
 * You may elect to license modified versions of this file under the
 * terms and conditions of either the GPL or the CDDL or both.
 *
 * Please contact Sun Microsystems, Inc., 4150 Network Circle, Santa
 * Clara, CA 95054 USA or visit http://www.sun.com if you need
 * additional information or have any questions.
 */


/*******************************************************************************
*   Header Files                                                               *
*******************************************************************************/
#define LOG_GROUP RTLOGGROUP_SYSTEM
#include <Windows.h>
#include <iprt/system.h>
#include <iprt/assert.h>



RTDECL(unsigned) RTSystemProcessorGetCount(void)
{
    SYSTEM_INFO SysInfo;

    GetSystemInfo(&SysInfo);

    unsigned cCpus = (unsigned)SysInfo.dwNumberOfProcessors;
    Assert((DWORD)cCpus == SysInfo.dwNumberOfProcessors);
    return cCpus;
}


RTDECL(uint64_t) RTSystemProcessorGetActiveMask(void)
{
    SYSTEM_INFO SysInfo;

    GetSystemInfo(&SysInfo);

    return SysInfo.dwActiveProcessorMask;
}

